diff --git a/flags/14.0/vtorc.txt b/flags/15.0/vtorc.txt
index 732595e..74ab84c 100644
--- a/flags/14.0/vtorc.txt
+++ b/flags/15.0/vtorc.txt
@@ -1,123 +1,85 @@
 Usage of vtorc:
-      --alsologtostderr                                                       log to standard error as well as files
-      --binlog string                                                         Binary log file name
-      --catch-sigpipe                                                         catch and ignore SIGPIPE on stdout and stderr if specified
-      --clusters_to_watch string                                              Comma-separated list of keyspaces or keyspace/shards that this instance will monitor and repair. Defaults to all clusters in the topology. Example: "ks1,ks2/-80"
-      --config string                                                         config file name
-      --consul_auth_static_file string                                        JSON File to read the topos/tokens from.
-      --cpu_profile string                                                    deprecated: use '-pprof=cpu' instead
-      --d string                                                              destination instance, host_fqdn[:port] (synonym to -s)
-      --datadog-agent-host string                                             host to send spans to. if empty, no tracing will be done
-      --datadog-agent-port string                                             port to send spans to. if empty, no tracing will be done
-      --debug                                                                 debug mode (very verbose)
-      --discovery                                                             auto discovery mode (default true)
-      --emit_stats                                                            If set, emit stats to push-based monitoring and stats backends
-      --enable-database-update                                                Enable database update, overrides SkipOrchestratorDatabaseUpdate
-      --grab-election                                                         Grab leadership (only applies to continuous mode)
-      --grpc_auth_mode string                                                 Which auth plugin implementation to use (eg: static)
-      --grpc_auth_mtls_allowed_substrings string                              List of substrings of at least one of the client certificate names (separated by colon).
-      --grpc_auth_static_client_creds string                                  when using grpc_static_auth in the server, this file provides the credentials to use to authenticate with server
-      --grpc_auth_static_password_file string                                 JSON File to read the users/passwords from.
-      --grpc_ca string                                                        server CA to use for gRPC connections, requires TLS, and enforces client certificate check
-      --grpc_cert string                                                      server certificate to use for gRPC connections, requires grpc_key, enables TLS
-      --grpc_compression string                                               Which protocol to use for compressing gRPC. Default: nothing. Supported: snappy
-      --grpc_crl string                                                       path to a certificate revocation list in PEM format, client certificates will be further verified against this file during TLS handshake
-      --grpc_enable_optional_tls                                              enable optional TLS mode when a server accepts both TLS and plain-text connections on the same port
-      --grpc_enable_tracing                                                   Enable GRPC tracing
-      --grpc_initial_conn_window_size int                                     gRPC initial connection window size
-      --grpc_initial_window_size int                                          gRPC initial window size
-      --grpc_keepalive_time duration                                          After a duration of this time, if the client doesn't see any activity, it pings the server to see if the transport is still alive. (default 10s)
-      --grpc_keepalive_timeout duration                                       After having pinged for keepalive check, the client waits for a duration of Timeout and if no activity is seen even after that the connection is closed. (default 10s)
-      --grpc_key string                                                       server private key to use for gRPC connections, requires grpc_cert, enables TLS
-      --grpc_max_connection_age duration                                      Maximum age of a client connection before GoAway is sent. (default 2562047h47m16.854775807s)
-      --grpc_max_connection_age_grace duration                                Additional grace period after grpc_max_connection_age, after which connections are forcibly closed. (default 2562047h47m16.854775807s)
-      --grpc_max_message_size int                                             Maximum allowed RPC message size. Larger messages will be rejected by gRPC with the error 'exceeding the max size'. (default 16777216)
-      --grpc_port int                                                         Port to listen on for gRPC calls
-      --grpc_prometheus                                                       Enable gRPC monitoring with Prometheus
-      --grpc_server_ca string                                                 path to server CA in PEM format, which will be combine with server cert, return full certificate chain to clients
-      --grpc_server_initial_conn_window_size int                              gRPC server initial connection window size
-      --grpc_server_initial_window_size int                                   gRPC server initial window size
-      --grpc_server_keepalive_enforcement_policy_min_time duration            gRPC server minimum keepalive time (default 10s)
-      --grpc_server_keepalive_enforcement_policy_permit_without_stream        gRPC server permit client keepalive pings even when there are no active streams (RPCs)
-      --ignore-raft-setup                                                     Override RaftEnabled for CLI invocation (CLI by default not allowed for raft setups). NOTE: operations by CLI invocation may not reflect in all raft nodes.
-      --jaeger-agent-host string                                              host and port to send spans to. if empty, no tracing will be done
-      --keep_logs duration                                                    keep logs for this long (using ctime) (zero to keep forever)
-      --keep_logs_by_mtime duration                                           keep logs for this long (using mtime) (zero to keep forever)
-      --lameduck-period duration                                              keep running at least this long after SIGTERM before stopping (default 50ms)
-      --log_backtrace_at value                                                when logging hits line file:N, emit a stack trace
-      --log_dir string                                                        If non-empty, write log files in this directory
-      --log_err_stacks                                                        log stack traces for errors
-      --log_rotate_max_size uint                                              size in bytes at which logs are rotated (glog.MaxSize) (default 1887436800)
-      --logtostderr                                                           log to standard error instead of files
-      --mem-profile-rate int                                                  deprecated: use '-pprof=mem' instead (default 524288)
-      --mutex-profile-fraction int                                            deprecated: use '-pprof=mutex' instead
-      --mysql_auth_server_static_file string                                  JSON File to read the users/passwords from.
-      --mysql_auth_server_static_string string                                JSON representation of the users/passwords config.
-      --mysql_auth_static_reload_interval duration                            Ticker to reload credentials
-      --mysql_clientcert_auth_method string                                   client-side authentication method to use. Supported values: mysql_clear_password, dialog. (default "mysql_clear_password")
-      --mysql_server_flush_delay duration                                     Delay after which buffered response will be flushed to the client. (default 100ms)
-      --mysql_server_version string                                           MySQL server version to advertise.
-      --noop                                                                  Dry run; do not perform destructing operations
-      --onclose_timeout duration                                              wait no more than this for OnClose handlers before stopping (default 1ns)
-      --onterm_timeout duration                                               wait no more than this for OnTermSync handlers before stopping (default 10s)
-      --orc_web_dir string                                                    Orchestrator http file location (default "web/orchestrator")
-      --pid_file string                                                       If set, the process will write its pid to the named file, and delete it on graceful shutdown.
-      --pprof string                                                          enable profiling
-      --promotion-rule string                                                 Promotion rule for register-andidate (prefer|neutral|prefer_not|must_not) (default "prefer")
-      --purge_logs_interval duration                                          how often try to remove old logs (default 1h0m0s)
-      --quiet                                                                 quiet
-      --remote_operation_timeout duration                                     time to wait for a remote operation (default 30s)
-      --s string                                                              sibling instance, host_fqdn[:port]
-      --security_policy string                                                the name of a registered security policy to use for controlling access to URLs - empty means allow all for anyone (built-in policies: deny-all, read-only)
-      --service_map value                                                     comma separated list of services to enable (or disable if prefixed with '-') Example: grpc-vtworker
-      --shutdown_wait_time duration                                           maximum time to wait for vtorc to release all the locks that it is holding before shutting down on SIGTERM (default 30s)
-      --skip-continuous-registration                                          Skip cli commands performaing continuous registration (to reduce orchestratrator backend db load
-      --skip-unresolve                                                        Do not unresolve a host name
-      --skip-unresolve-check                                                  Skip/ignore checking an unresolve mapping (via hostname_unresolve table) resolves back to same hostname
-      --sql-max-length-errors int                                             truncate queries in error logs to the given length (default unlimited)
-      --sql-max-length-ui int                                                 truncate queries in debug UIs to the given length (default 512) (default 512)
-      --stack                                                                 add stack trace upon error
-      --statement string                                                      Statement/hint
-      --stats_backend string                                                  The name of the registered push-based monitoring/stats backend to use
-      --stats_combine_dimensions string                                       List of dimensions to be combined into a single "all" value in exported stats vars
-      --stats_common_tags string                                              Comma-separated list of common tags for the stats backend. It provides both label and values. Example: label1:value1,label2:value2
-      --stats_drop_variables string                                           Variables to be dropped from the list of exported variables.
-      --stats_emit_period duration                                            Interval between emitting stats to all registered backends (default 1m0s)
-      --stderrthreshold value                                                 logs at or above this threshold go to stderr (default 1)
-      --tablet_manager_grpc_ca string                                         the server ca to use to validate servers when connecting
-      --tablet_manager_grpc_cert string                                       the cert to use to connect
-      --tablet_manager_grpc_concurrency int                                   concurrency to use to talk to a vttablet server for performance-sensitive RPCs (like ExecuteFetchAs{Dba,AllPrivs,App}) (default 8)
-      --tablet_manager_grpc_connpool_size int                                 number of tablets to keep tmclient connections open to (default 100)
-      --tablet_manager_grpc_crl string                                        the server crl to use to validate server certificates when connecting
-      --tablet_manager_grpc_key string                                        the key to use to connect
-      --tablet_manager_grpc_server_name string                                the server name to use to validate server certificate
-      --tablet_manager_protocol string                                        the protocol to use to talk to vttablet (default "grpc")
-      --tag string                                                            tag to add ('tagname' or 'tagname=tagvalue') or to search ('tagname' or 'tagname=tagvalue' or comma separated 'tag0,tag1=val1,tag2' for intersection of all)
-      --topo_consul_lock_delay duration                                       LockDelay for consul session. (default 15s)
-      --topo_consul_lock_session_checks string                                List of checks for consul session. (default "serfHealth")
-      --topo_consul_lock_session_ttl string                                   TTL for consul session.
-      --topo_consul_watch_poll_duration duration                              time of the long poll for watch queries. (default 30s)
-      --topo_etcd_lease_ttl int                                               Lease TTL for locks and leader election. The client will use KeepAlive to keep the lease going. (default 30)
-      --topo_etcd_tls_ca string                                               path to the ca to use to validate the server cert when connecting to the etcd topo server
-      --topo_etcd_tls_cert string                                             path to the client cert to use to connect to the etcd topo server, requires topo_etcd_tls_key, enables TLS
-      --topo_etcd_tls_key string                                              path to the client key to use to connect to the etcd topo server, enables TLS
-      --topo_global_root string                                               the path of the global topology data in the global topology server
-      --topo_global_server_address string                                     the address of the global topology server
-      --topo_implementation string                                            the topology implementation to use
-      --topo_k8s_context string                                               The kubeconfig context to use, overrides the 'current-context' from the config
-      --topo_k8s_kubeconfig string                                            Path to a valid kubeconfig file. When running as a k8s pod inside the same cluster you wish to use as the topo, you may omit this and the below arguments, and Vitess is capable of auto-discovering the correct values. https://kubernetes.io/docs/tasks/access-application-cluster/access-cluster/#accessing-the-api-from-a-pod
-      --topo_k8s_namespace string                                             The kubernetes namespace to use for all objects. Default comes from the context or in-cluster config
-      --topo_zk_auth_file string                                              auth to use when connecting to the zk topo server, file contents should be <scheme>:<auth>, e.g., digest:user:pass
-      --topo_zk_base_timeout duration                                         zk base timeout (see zk.Connect) (default 30s)
-      --topo_zk_max_concurrency int                                           maximum number of pending requests to send to a Zookeeper server. (default 64)
-      --topo_zk_tls_ca string                                                 the server ca to use to validate servers when connecting to the zk topo server
-      --topo_zk_tls_cert string                                               the cert to use to connect to the zk topo server, requires topo_zk_tls_key, enables TLS
-      --topo_zk_tls_key string                                                the key to use to connect to the zk topo server, enables TLS
-      --tracer string                                                         tracing service to use (default "noop")
-      --tracing-enable-logging                                                whether to enable logging in the tracing service
-      --tracing-sampling-rate value                                           sampling rate for the probabilistic jaeger sampler (default 0.1)
-      --tracing-sampling-type value                                           sampling strategy to use for jaeger. possible values are 'const', 'probabilistic', 'rateLimiting', or 'remote' (default const)
-      --v value                                                               log level for V logs
-      --verbose                                                               verbose
-      --version                                                               print binary version
-      --vmodule value                                                         comma-separated list of pattern=N settings for file-filtered logging
+      --alsologtostderr                              log to standard error as well as files
+      --audit-file-location string                   File location where the audit logs are to be stored
+      --audit-purge-duration duration                Duration for which audit logs are held before being purged. Should be in multiples of days (default 168h0m0s)
+      --audit-to-backend                             Whether to store the audit log in the VTOrc database
+      --audit-to-syslog                              Whether to store the audit log in the syslog
+      --catch-sigpipe                                catch and ignore SIGPIPE on stdout and stderr if specified
+      --clusters_to_watch strings                    Comma-separated list of keyspaces or keyspace/shards that this instance will monitor and repair. Defaults to all clusters in the topology. Example: "ks1,ks2/-80"
+      --config string                                config file name
+      --consul_auth_static_file string               JSON File to read the topos/tokens from.
+      --emit_stats                                   If set, emit stats to push-based monitoring and stats backends
+      --grpc_auth_static_client_creds string         When using grpc_static_auth in the server, this file provides the credentials to use to authenticate with server.
+      --grpc_compression string                      Which protocol to use for compressing gRPC. Default: nothing. Supported: snappy
+      --grpc_enable_tracing                          Enable gRPC tracing.
+      --grpc_initial_conn_window_size int            gRPC initial connection window size
+      --grpc_initial_window_size int                 gRPC initial window size
+      --grpc_keepalive_time duration                 After a duration of this time, if the client doesn't see any activity, it pings the server to see if the transport is still alive. (default 10s)
+      --grpc_keepalive_timeout duration              After having pinged for keepalive check, the client waits for a duration of Timeout and if no activity is seen even after that the connection is closed. (default 10s)
+      --grpc_max_message_size int                    Maximum allowed RPC message size. Larger messages will be rejected by gRPC with the error 'exceeding the max size'. (default 16777216)
+      --grpc_prometheus                              Enable gRPC monitoring with Prometheus.
+  -h, --help                                         display usage and exit
+      --instance-poll-time duration                  Timer duration on which VTOrc refreshes MySQL information (default 5s)
+      --keep_logs duration                           keep logs for this long (using ctime) (zero to keep forever)
+      --keep_logs_by_mtime duration                  keep logs for this long (using mtime) (zero to keep forever)
+      --lameduck-period duration                     keep running at least this long after SIGTERM before stopping (default 50ms)
+      --lock-shard-timeout duration                  Duration for which a shard lock is held when running a recovery (default 30s)
+      --log_backtrace_at traceLocation               when logging hits line file:N, emit a stack trace (default :0)
+      --log_dir string                               If non-empty, write log files in this directory
+      --log_err_stacks                               log stack traces for errors
+      --log_rotate_max_size uint                     size in bytes at which logs are rotated (glog.MaxSize) (default 1887436800)
+      --logtostderr                                  log to standard error instead of files
+      --onclose_timeout duration                     wait no more than this for OnClose handlers before stopping (default 1ns)
+      --onterm_timeout duration                      wait no more than this for OnTermSync handlers before stopping (default 10s)
+      --pid_file string                              If set, the process will write its pid to the named file, and delete it on graceful shutdown.
+      --port int                                     port for the server
+      --pprof strings                                enable profiling
+      --prevent-cross-cell-failover                  Prevent VTOrc from promoting a primary in a different cell than the current primary in case of a failover
+      --purge_logs_interval duration                 how often try to remove old logs (default 1h0m0s)
+      --reasonable-replication-lag duration          Maximum replication lag on replicas which is deemed to be acceptable (default 10s)
+      --recovery-period-block-duration duration      Duration for which a new recovery is blocked on an instance after running a recovery (default 30s)
+      --recovery-poll-duration duration              Timer duration on which VTOrc polls its database to run a recovery (default 1s)
+      --remote_operation_timeout duration            time to wait for a remote operation (default 30s)
+      --security_policy string                       the name of a registered security policy to use for controlling access to URLs - empty means allow all for anyone (built-in policies: deny-all, read-only)
+      --shutdown_wait_time duration                  Maximum time to wait for VTOrc to release all the locks that it is holding before shutting down on SIGTERM (default 30s)
+      --snapshot-topology-interval duration          Timer duration on which VTOrc takes a snapshot of the current MySQL information it has in the database. Should be in multiple of hours
+      --sqlite-data-file string                      SQLite Datafile to use as VTOrc's database (default "file::memory:?mode=memory&cache=shared")
+      --stats_backend string                         The name of the registered push-based monitoring/stats backend to use
+      --stats_combine_dimensions string              List of dimensions to be combined into a single "all" value in exported stats vars
+      --stats_common_tags strings                    Comma-separated list of common tags for the stats backend. It provides both label and values. Example: label1:value1,label2:value2
+      --stats_drop_variables string                  Variables to be dropped from the list of exported variables.
+      --stats_emit_period duration                   Interval between emitting stats to all registered backends (default 1m0s)
+      --stderrthreshold severity                     logs at or above this threshold go to stderr (default 1)
+      --tablet_manager_grpc_ca string                the server ca to use to validate servers when connecting
+      --tablet_manager_grpc_cert string              the cert to use to connect
+      --tablet_manager_grpc_concurrency int          concurrency to use to talk to a vttablet server for performance-sensitive RPCs (like ExecuteFetchAs{Dba,AllPrivs,App}) (default 8)
+      --tablet_manager_grpc_connpool_size int        number of tablets to keep tmclient connections open to (default 100)
+      --tablet_manager_grpc_crl string               the server crl to use to validate server certificates when connecting
+      --tablet_manager_grpc_key string               the key to use to connect
+      --tablet_manager_grpc_server_name string       the server name to use to validate server certificate
+      --tablet_manager_protocol string               Protocol to use to make tabletmanager RPCs to vttablets. (default "grpc")
+      --topo-information-refresh-duration duration   Timer duration on which VTOrc refreshes the keyspace and vttablet records from the topology server (default 15s)
+      --topo_consul_lock_delay duration              LockDelay for consul session. (default 15s)
+      --topo_consul_lock_session_checks string       List of checks for consul session. (default "serfHealth")
+      --topo_consul_lock_session_ttl string          TTL for consul session.
+      --topo_consul_watch_poll_duration duration     time of the long poll for watch queries. (default 30s)
+      --topo_etcd_lease_ttl int                      Lease TTL for locks and leader election. The client will use KeepAlive to keep the lease going. (default 30)
+      --topo_etcd_tls_ca string                      path to the ca to use to validate the server cert when connecting to the etcd topo server
+      --topo_etcd_tls_cert string                    path to the client cert to use to connect to the etcd topo server, requires topo_etcd_tls_key, enables TLS
+      --topo_etcd_tls_key string                     path to the client key to use to connect to the etcd topo server, enables TLS
+      --topo_global_root string                      the path of the global topology data in the global topology server
+      --topo_global_server_address string            the address of the global topology server
+      --topo_implementation string                   the topology implementation to use
+      --topo_k8s_context string                      The kubeconfig context to use, overrides the 'current-context' from the config
+      --topo_k8s_kubeconfig string                   Path to a valid kubeconfig file. When running as a k8s pod inside the same cluster you wish to use as the topo, you may omit this and the below arguments, and Vitess is capable of auto-discovering the correct values. https://kubernetes.io/docs/tasks/access-application-cluster/access-cluster/#accessing-the-api-from-a-pod
+      --topo_k8s_namespace string                    The kubernetes namespace to use for all objects. Default comes from the context or in-cluster config
+      --topo_zk_auth_file string                     auth to use when connecting to the zk topo server, file contents should be <scheme>:<auth>, e.g., digest:user:pass
+      --topo_zk_base_timeout duration                zk base timeout (see zk.Connect) (default 30s)
+      --topo_zk_max_concurrency int                  maximum number of pending requests to send to a Zookeeper server. (default 64)
+      --topo_zk_tls_ca string                        the server ca to use to validate servers when connecting to the zk topo server
+      --topo_zk_tls_cert string                      the cert to use to connect to the zk topo server, requires topo_zk_tls_key, enables TLS
+      --topo_zk_tls_key string                       the key to use to connect to the zk topo server, enables TLS
+      --v Level                                      log level for V logs
+  -v, --version                                      print binary version
+      --vmodule moduleSpec                           comma-separated list of pattern=N settings for file-filtered logging
+      --wait-replicas-timeout duration               Duration for which to wait for replica's to respond when issuing RPCs (default 30s)
